%global _empty_manifest_terminate_build 0
%bcond_without test
Name:		python-pluggy
Version:	0.13.1
Release:	1
Summary:	plugin and hook calling mechanisms for python
License:	MIT
URL:		https://github.com/pytest-dev/pluggy
Source0:	https://files.pythonhosted.org/packages/f8/04/7a8542bed4b16a65c2714bf76cf5a0b026157da7f75e87cc88774aa10b14/pluggy-0.13.1.tar.gz
BuildArch:	noarch

Requires:	python3-importlib-metadata
Requires:	python3-pre-commit
Requires:	python3-tox

%global _description\
A minimalist production ready plugin system.This is the core\
framework used by the pytest, tox, and devpi projects.

%description
%{_description}

%package -n python3-pluggy
Summary:	plugin and hook calling mechanisms for python
Provides:	python-pluggy
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-setuptools_scm
%if %{with test}
BuildRequires:  python3-pytest
%endif
%description -n python3-pluggy
%{_description}

%package help
Summary:	Development documents and examples for pluggy
Provides:	python3-pluggy-doc
%description help
%{_description}

%prep
%autosetup -n pluggy-0.13.1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%if %{with tests}
%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} -m pytest testing -k "not test_load_setuptools_instantiation"
%endif

%files -n python3-pluggy -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Wed Dec 09 2020 baizhonggui <baizhonggui@huawei.com> - 0.13.1-1
- Update to 0.13.1

* Wed Oct 21 2020 wangxiao <wangxiao65@huawei.com> - 0.6.0-7
- drop python2 subpackage

* Tue Dec 3 2019 mengxian <mengxian@huawei.com> - 0.6.0-6
- Package init
